Function
assign
Assigns one object to another object.
assign(target, source)
assign(target, source [, limit] [,resize_tag])
Include Headers
seqan/basic.h
Parameters

source | Is copied to target. Types: char array, Holder, Holder, Pipe, Pool, Segment, SimpleType, std::basic_string, std::vector, String
target | Gets the content of source. Types: char array, Holder, Holder, Pool, Segment, SimpleType, std::basic_string, std::vector, String
limit | The maximal length of target after the operation. (optional) Remarks: This arguments can be applied if target is a container.
resize_tag | Specifies the strategy that is applied if target has not enough capacity to store the complete content. (optional) Types: Overflow Strategy Default: Specified by DefaultOverflowImplicit of the target type. Remarks: This arguments can be applied if target is a container.

Remarks
assign(target, source) is semantically equivalent to target = source.
If target is a Segment object, then limit denotes the maximal length of host(target) after the operation.
Part of Concept
Container, Iterator
See Also
assignValue, read, move, replace, assignSource, append
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46